diff -urp samba-3.6.22.orig/packaging/RHEL/samba.spec samba-3.6.22/packaging/RHEL/samba.spec
--- samba-3.6.22.orig/packaging/RHEL/samba.spec	2013-12-07 04:22:27.000000000 +0900
+++ samba-3.6.22/packaging/RHEL/samba.spec	2013-12-10 07:14:48.000000000 +0900
@@ -2,7 +2,7 @@
 %define auth %(test -f /etc/pam.d/system-auth && echo /etc/pam.d/system-auth || echo)
 %define this_is_redhat  %(test -e /etc/redhat-release && echo 1 || echo 0)
 %if %{this_is_redhat} > 0
-%define rhel_ver %(grep "release" /etc/redhat-release | sed %"s/^[^0-9]*\\([0-9]*\\).*/\\1/g")
+%define rhel_ver %(grep "release" /etc/redhat-release | sed "s/^[^0-9]*\\([0-9]*\\).*/\\1/g")
 %else
 %define rhel_ver 0
 %endif
@@ -12,7 +12,7 @@ Vendor: Samba Team
 Packager: Samba Team <samba@samba.org>
 Name:         samba
 Version:      3.6.22
-Release:      1
+Release:      1.C65
 Epoch:        0
 License: GNU GPL version 3
 Group: System Environment/Daemons
@@ -24,8 +24,8 @@ Source: samba-%{version}.tar.bz2
 Source998: filter-requires-samba.sh
 Source999: setup.tar.bz2
 
-Prereq: /sbin/chkconfig /bin/mktemp /usr/bin/killall
-Prereq: fileutils sed /etc/init.d
+Requires(pre): /sbin/chkconfig /bin/mktemp /usr/bin/killall
+Requires(pre): fileutils sed /etc/init.d
 
 Requires: pam >= 0.64 %{auth} 
 Requires: samba-common = %{version}-%{release}
@@ -96,7 +96,7 @@ packages of Samba.
 %package swat
 Summary: The Samba SMB server configuration program.
 Group: Applications/System
-Requires: samba = %{version} xinetd
+Requires: samba = %{version}
 Provides: samba-swat = %{version}-%{release}
 
 %description swat
@@ -110,7 +110,7 @@ Web browser.
 Summary:      Samba Documentation
 Group:        Documentation/Other
 Provides:     samba-doc = %{version}-%{release}
-Prereq:       /usr/bin/find /bin/rm /usr/bin/xargs
+Requires(pre):       /usr/bin/find /bin/rm /usr/bin/xargs
 
 %description doc
 The samba-doc package includes the HTML versions of the Samba manpages
@@ -485,6 +485,10 @@ fi
 %{_libarchdir}/libtdb.so*
 %{_libarchdir}/libwbclient.so*
 
+%{_includedir}/tevent.h
+%{_includedir}/tevent_internal.h
+%{_libarchdir}/libtevent.so*
+
 %{_bindir}/testparm
 %{_bindir}/smbpasswd
 %{_bindir}/profiles
